package cn.ey.biz.module.system.convert.category;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.category.vo.*;
import cn.ey.biz.module.system.dal.dataobject.category.CategoryDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 字典分类 Convert
 *
 */
@Mapper
public interface CategoryConvert {

    CategoryConvert INSTANCE = Mappers.getMapper(CategoryConvert.class);

    CategoryDO convert(CategoryCreateReqVO bean);

    CategoryDO convert(CategoryUpdateReqVO bean);

    CategoryRespVO convert(CategoryDO bean);

    List<CategoryRespVO> convertList(List<CategoryDO> list);

    PageResult<CategoryRespVO> convertPage(PageResult<CategoryRespVO> page);

    List<CategoryExcelVO> convertList02(List<CategoryDO> list);

}
